{% extends 'user.html.twig' %}

{% block title %}Notification
{% endblock %}

{% block body %}
	<section class="container">
		<div class="row">
			<div class="col-12">
				<h1>Notification</h1>
				<p>Vous avez reçu
					{{ app.user.received|length }}
					notifications</p>
			</div>
			<div class="col-3">De</div>
			<div class="col-3">Sujet</div>
			<div class="col-3">Date</div>
			<div class="col-3">Actions</div>
			{% for notification in app.user.received %}
				{% set bold = "" %}
				{% if notification.vue == 0 %}
					{% set bold = "fw-bold" %}
				{% endif %}

				<div class="col-3 {{bold}}">{{ notification.sender }}</div>
				<div class="col-3 {{bold}}">
					<a href="{{ path("read", {id: notification.id}) }}">{{ notification.titre }}</a>
				</div>
				<div class="col-3 {{bold}}">{{ notification.dateCreation|date }}</div>
				<div class="col-3">
                    <a href="{{ path("delete", {id: notification.id}) }}">
                        <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-file-excel-fill text-danger" viewbox="0 0 16 16">
                            <path d="M12 0H4a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2zM5.884 4.68L8 7.219l2.116-2.54a.5.5 0 1 1 .768.641L8.651 8l2.233 2.68a.5.5 0 0 1-.768.64L8 8.781l-2.116 2.54a.5.5 0 0 1-.768-.641L7.349 8 5.116 5.32a.5.5 0 1 1 .768-.64z"/>
                        </svg>
                    </a>
				</div>
			{% endfor %}
		</div>
	</section>
{% endblock %}